# $Revision: 1.134 $, $Date: 2008-02-18 22:09:45 $
%define		snap	rc7
%define		_rel	1
Summary:	VPN Daemon
Summary(pl.UTF-8):	Serwer VPN
Name:		openvpn
Version:	2.1
Release:	0.%{snap}.%{_rel}
License:	GPL
Group:		Networking/Daemons
Source0:	http://openvpn.net/release/%{name}-%{version}_%{snap}.tar.gz
# Source0-md5:	38c8fdfaa3465d740049468bc7b66fcf
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}-update-resolv-conf
Patch0:		%{name}-optflags.patch
Patch1:		easy-rsa2.patch
Patch2:		%{name}-pam.patch
URL:		http://openvpn.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	lzo-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pam-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	/sbin/ip
Requires:	rc-scripts >= 0.4.0.19
Conflicts:	kernel < 2.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_localstatedir	/var

%description
OpenVPN is a robust and highly configurable VPN (Virtual Private
Network) daemon which can be used to securely link two or more private
networks using an encrypted tunnel over the internet.

%description -l pl.UTF-8
OpenVPN jest mocnym i silnie konfigurowalnym serwerem VPN (Wirtualne
Sieci Prywatne), który może być użyty do bezpiecznego łączenia dwóch
lub więcej prywatnych sieci używając zaszyfrowanego tunelu poprzez
internet.

%package devel
Summary:	Header files for OpenVPN plugins development
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia wtyczek OpenVPN
Group:		Development/Libraries

%description devel
This is the package containing the header files for OpenVPN plugins
development.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia wtyczek OpenVPN.

%package -n easy-rsa
Summary:	Small RSA key management package
Summary(pl.UTF-8):	Mały pakiet do zarządzania kluczami RSA
Group:		Applications
Requires:	grep
Requires:	openssl-tools

%description -n easy-rsa
This is a small RSA key management package, based on the openssl
command line tool, that can be found in the easy-rsa subdirectory of
the OpenVPN distribution.

For step-by-step instructions, see the HOWTO:
<http://openvpn.net/howto.html>.

%description -n easy-rsa -l pl.UTF-8
To jest mały pakiet do zarządzania kluczami RSA, oparty na narzędziu
linii poleceń openssl. Pakiet ten pochodzi z podkatalogu easy-rsa
dystrybucji OpenVPN.

Instrukcje krok po kroku można znaleźć w HOWTO:
<http://openvpn.net/howto.html>.

%prep
%setup -q -n %{name}-%{version}_%{snap}
%patch0 -p1
%patch1 -p1
%patch2 -p1

mv plugin/auth-pam/README README.auth-pam
mv plugin/down-root/README README.down-root

sed -e 's,/''usr/lib/openvpn,%{_libdir}/%{name},' %{SOURCE3} > contrib/update-resolv-conf

%build
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}

%configure \
	--enable-password-save \
	--enable-pthread \
	--enable-iproute2
%{__make}

%{__make} -C plugin/auth-pam \
	OPTFLAGS="%{rpmcflags}"
%{__make} -C plugin/down-root \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/openvpn,%{_sbindir},%{_mandir}/man8} \
	$RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig},/var/run/openvpn,%{_includedir},%{_libdir}/%{name}/plugins}

install openvpn $RPM_BUILD_ROOT%{_sbindir}
install *.8 $RPM_BUILD_ROOT%{_mandir}/man8

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install openvpn-plugin.h $RPM_BUILD_ROOT%{_includedir}
install plugin/{auth-pam,down-root}/*.so $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins

# easy-rsa 2.0
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_datadir}}/easy-rsa
install -d $RPM_BUILD_ROOT%{_sysconfdir}/easy-rsa/keys
cp -a easy-rsa/2.0/{vars,openssl.cnf} $RPM_BUILD_ROOT%{_sysconfdir}/easy-rsa
cp -a easy-rsa/2.0/{build-*,clean-all,inherit-inter,list-crl,revoke-full,sign-req} $RPM_BUILD_ROOT%{_datadir}/easy-rsa
cp -a easy-rsa/2.0/pkitool $RPM_BUILD_ROOT%{_sbindir}

# we use cp -a, not to pull /bin/bash dependency
cp -a contrib/pull-resolv-conf/client.down $RPM_BUILD_ROOT%{_libdir}/%{name}
cp -a contrib/pull-resolv-conf/client.up $RPM_BUILD_ROOT%{_libdir}/%{name}
cp -a contrib/update-resolv-conf $RPM_BUILD_ROOT%{_libdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add openvpn
%service openvpn restart "OpenVPN"

%preun
if [ "$1" = "0" ]; then
	%service openvpn stop
	/sbin/chkconfig --del openvpn
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS README* ChangeLog sample-config-files sample-keys sample-scripts
%doc management/management-notes.txt
%dir %{_sysconfdir}/openvpn
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(755,root,root) %{_sbindir}/openvpn
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/client.down
%attr(755,root,root) %{_libdir}/%{name}/client.up
%attr(755,root,root) %{_libdir}/%{name}/update-resolv-conf
%dir %{_libdir}/%{name}/plugins
%attr(755,root,root) %{_libdir}/%{name}/plugins/*.so
%{_mandir}/man?/*
%dir /var/run/openvpn

%files devel
%defattr(644,root,root,755)
%doc plugin/{README,examples/}
%{_includedir}/*.h

%files -n easy-rsa
%defattr(644,root,root,755)
%doc easy-rsa/2.0/README
%dir %{_sysconfdir}/easy-rsa
%dir %attr(700,root,root) %{_sysconfdir}/easy-rsa/keys
%config(noreplace) %attr(640,root,root) %verify(not md5 mtime size) %{_sysconfdir}/easy-rsa/vars
%config(noreplace) %attr(640,root,root) %verify(not md5 mtime size) %{_sysconfdir}/easy-rsa/openssl.cnf
%attr(755,root,root) %{_sbindir}/pkitool
%dir %{_datadir}/easy-rsa
%attr(755,root,root) %{_datadir}/easy-rsa/*


%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openvpn.spec,v $
Revision 1.134  2008-02-18 22:09:45  zawadaa
- up to 2.1_rc7

Revision 1.133  2007-12-17 22:24:06  glen
- rel 6

Revision 1.132  2007-11-27 22:18:35  glen
- add update-resolv-conf from debian; rel 5

Revision 1.131  2007-11-27 22:02:36  glen
- add pam patch

Revision 1.130  2007-11-11 10:09:18  glen
- rel 4

Revision 1.129  2007/11/10 14:19:14  glen
- package pull-resolv-conf files; rel 3

Revision 1.128  2007/09/18 11:14:07  glen
- rel 2

Revision 1.127  2007/06/13 12:13:26  areq
- OpenVPN 2.1_rc4

Revision 1.126  2007/03/12 07:25:03  arekm
- up to 2.1rc2

Revision 1.125  2007/02/25 16:25:35  glen
- drop Version: from easy-rsa
- update Group: of easy-rsa

Revision 1.124  2007/02/18 16:35:32  twittner
- rel. 3 (rebuild with gnutls-1.6.1)

Revision 1.123  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.122  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.121  2006/12/12 17:07:20  glen
- rel 2 (rebuild with lzo2)

Revision 1.120  2006/12/07 18:35:31  glen
- 2.0.9

Revision 1.119  2006/10/19 14:56:23  glen
- rel 7

Revision 1.118  2006/10/02 20:22:22  glen
- rel 6

Revision 1.117  2006/08/07 13:29:07  wiget
- release 5 to rebuild with openssl 0.9.8b

Revision 1.116  2006/06/20 19:25:29  glen
- requires /sbin/ip not package due vserver-packages fake dep; rel 4

Revision 1.115  2006/06/20 17:52:57  glen
- drop bash requirement in easy-rsa; rel 3

Revision 1.114  2006/05/29 21:48:50  zawadaa
- up to 2.0.7

Revision 1.113  2006/05/05 13:39:00  wiget
- added tcp-client-bind.patch (bind() in tcp-client mode (if --local specified))

Revision 1.112  2006/04/11 07:54:39  qboosh
- sorted BRs

Revision 1.111  2006/04/08 17:17:56  agaran
- add pam-devel to BR (reported by Krzysztof Moscicki)

Revision 1.110  2006/04/06 21:57:40  zawadaa
- up to 2.0.6; security update CVE-2006-1629
- STBR

Revision 1.109  2006/03/28 11:18:51  glen
- initscript requires /sbin/ip, rel 4

Revision 1.108  2006/03/04 16:34:24  glen
- rel 3

Revision 1.107  2006/03/04 16:25:30  qboosh
- pl for easy-rsa

Revision 1.106  2006/03/02 14:41:57  glen
- nothing to see in easy-rsa config files

Revision 1.105  2006/03/02 14:38:16  glen
- package easy-rsa/2.0 separately as easy-rsa
- use %service

Revision 1.104  2005/12/27 11:14:29  pluto
- release 2 for rebuild with new liblzo.

Revision 1.103  2005/11/06 21:31:14  glen
- add CVE refs

Revision 1.102  2005/11/03 12:56:59  areq
- 2.0.5

Revision 1.101  2005/11/01 20:40:43  areq
- 2.0.4
  [fixes CVE-2005-3393, CVE-2005-3409]

Revision 1.100  2005/10/07 12:20:38  glen
- rel 3 for -devel package

Revision 1.99  2005/10/06 14:24:12  qboosh
- pl for -devel

Revision 1.98  2005/10/03 16:08:34  glen
- pass OPTFLAGS when compiling plugins

Revision 1.97  2005/10/03 16:01:06  glen
- created -devel package with openvpn-plugin.h header
- compile and package auth-pam and down-root plugins

Revision 1.96  2005/08/29 20:49:23  areq
- add multi-homed UDP server support patch

Revision 1.95  2005/08/25 20:28:30  areq
- 2.0.2

Revision 1.94  2005/08/22 09:33:20  glen
- simplify %prep

Revision 1.93  2005/08/22 09:31:14  glen
- initscript is not config

Revision 1.92  2005/08/22 08:22:33  havner
- 2.0.1 final
- CAN-2005-2531, CAN-2005-2532

Revision 1.91  2005/08/22 08:17:08  havner
- dont use such releases !

Revision 1.90  2005/07/22 09:15:00  areq
- 2.0.1_rc7
- lzo-2.01 ready

Revision 1.89  2005/06/30 23:51:16  glen
- updated initscript, up rc-script version requirement for --pidfile of killproc

Revision 1.88  2005/06/30 23:16:43  glen
- R: procps due ps used in initscript

Revision 1.87  2005/04/26 08:26:15  qboosh
- simplified setup

Revision 1.86  2005/04/18 08:37:01  areq
- OpenVPN 2.0 released

Revision 1.85  2005/04/04 12:58:31  areq
- openvpn-2.0rc20

Revision 1.84  2005/03/31 10:16:40  areq
- 2.0rc19

Revision 1.83  2005/03/14 15:51:03  zawadaa
- updated to 2.0 rc17

Revision 1.82  2005/03/14 15:44:08  wiget
- updated to 2.0 rc16

Revision 1.81  2005/02/20 14:41:50  areq
- 2.0rc15

Revision 1.80  2005/02/17 22:06:28  areq
- 2.0rc14

Revision 1.79  2005/02/11 13:20:11  areq
- 2.0rc13

Revision 1.78  2005/02/06 14:56:01  areq
- 2.0rc12

Revision 1.77  2005/02/03 08:52:40  areq
- openvpn-2.0rc11

Revision 1.76  2005/01/28 22:54:04  areq
- 2.0_rc10

Revision 1.75  2005/01/23 19:55:03  areq
- 2.0rc9

Revision 1.74  2005/01/16 16:11:08  areq
- 2.0rc8

Revision 1.73  2005/01/10 21:26:59  areq
- 2.0_rc7
- new URL

Revision 1.72  2004/12/20 23:34:23  areq
- 2.0_rc6

Revision 1.71  2004/12/16 14:36:08  areq
- 2.0rc5

Revision 1.70  2004/12/14 23:19:08  areq
- 2.0rc4

Revision 1.69  2004/12/13 21:16:51  ankry
- spaces -> tabs

Revision 1.68  2004/12/13 10:42:21  areq
- 2.0rc3

Revision 1.67  2004/12/12 19:26:59  areq
- 2.0rc2

Revision 1.66  2004/12/07 23:47:19  areq
- 2.0rc1

Revision 1.65  2004/12/06 22:02:01  areq
- 2.0beta20

Revision 1.64  2004/12/03 09:04:07  areq
- 2.0 beta19

Revision 1.63  2004/11/12 16:35:31  areq
- 2.0 beta17

Revision 1.62  2004/11/07 13:09:21  areq
- 2.0 beta16

Revision 1.61  2004/10/28 09:15:58  areq
- 2.0beta15

Revision 1.60  2004/10/24 20:30:00  areq
- 2.0beta14

Revision 1.59  2004/10/19 07:33:14  areq
- 2.0beta13

Revision 1.58  2004/08/19 08:38:52  areq
- 2.0beta11

Revision 1.57  2004/08/02 13:55:16  areq
- 2.0beta10

Revision 1.56  2004/07/31 11:05:59  areq
- 2.0beta9

Revision 1.55  2004/06/30 11:31:13  areq
- 2.0beta7

Revision 1.54  2004/06/24 08:08:55  areq
- 2.0beta6

Revision 1.53  2004/06/20 14:57:22  areq
- 2.0beta5

Revision 1.52  2004/06/08 10:43:55  areq
- 2.0beta4

Revision 1.51  2004/06/06 09:06:39  areq
- 2.0beta3

Revision 1.50  2004/05/15 10:14:52  areq
- 2.0beta2

Revision 1.49  2004/05/13 17:52:52  ankry
- spaces -> tabs

Revision 1.48  2004/05/10 13:29:01  areq
- 2.0beta1

Revision 1.47  2004/05/09 16:36:03  areq
- 2.0test29

Revision 1.46  2004/05/07 22:58:43  areq
- 2.0test28

Revision 1.45  2004/05/06 22:02:42  areq
- 2.0test27

Revision 1.44  2004/05/04 17:49:53  qboosh
- added missing Revision and Date

Revision 1.43  2004/04/29 08:37:06  areq
- 2.0test26

Revision 1.42  2004/04/13 16:18:15  areq
- 2.0test23

Revision 1.41  2004/04/02 19:50:10  areq
- 2.0test19

Revision 1.40  2004/03/31 19:30:41  areq
- openvpn-2.0_test18

Revision 1.39  2004/03/19 23:46:32  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.38  2004/03/14 12:12:09  areq
- Conflicts:      kernel < 2.4
- remove _kernel_ver from relase

Revision 1.37  2004/03/14 10:47:34  areq
- OpenVPN 1.6-rc3

Revision 1.36  2004/03/04 20:33:52  areq
- OpenVPN 1.6_rc2

Revision 1.35  2004/02/23 09:10:04  areq
- 1.6beta7

Revision 1.34  2004/02/17 00:24:20  wolf
- added missing documentation

Revision 1.33  2004/02/15 13:48:52  qboosh
- don't require rebuilding when using with non-distro kernel

Revision 1.32  2004/02/14 00:29:31  wolf
- use iproute2 instead of route + ifconfig

Revision 1.31  2004/02/13 23:23:57  wolf
- 1.6 beta 6
- don't mark kernel 2.6 as 2.2

Revision 1.30  2004/02/04 13:16:54  areq
- 1.6_beta5

Revision 1.29  2004/01/15 11:16:32  areq
- fix log :/

Revision 1.28  2004/01/15 11:14:08  areq
- 1.6beta1

Revision 1.27  2003/12/03 22:13:15  marcus
- now builds without dist kernel

Revision 1.26  2003/11/21 14:00:31  areq
- 1.5.0

Revision 1.25  2003/11/16 17:43:26  krzak
- fixed _kernel24 definition

Revision 1.24  2003/11/04 13:37:43  areq
- 1.5_beta14

Revision 1.23  2003/11/04 09:53:46  qboosh
- uncommented used BRs

Revision 1.22  2003/11/03 11:08:27  areq
- 1.5_beta13

Revision 1.21  2003/10/14 10:10:46  areq
- 1.5_beta12

Revision 1.20  2003/10/01 16:16:04  areq
- 1.5.0-beta9

Revision 1.19  2003/09/30 20:18:28  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.18  2003/09/30 10:02:36  areq
- 1.5-beta8

Revision 1.17  2003/08/18 20:24:23  orzech
- up to 1.4.3

Revision 1.16  2003/08/18 08:08:24  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.15  2003/07/23 20:31:53  misi3k
- updated to 1.4.2
- ac/am disabled (problem with malloc.c)

Revision 1.14  2003/05/28 13:00:09  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/05/17 14:55:56  areq
- 1.4.1

Revision 1.11  2003/05/08 13:51:34  areq
- 1.4.0

Revision 1.10  2003/04/07 12:00:19  matkor
- Release @%{_kernel_series}. Requires:     kernel > 2.4 / < 2.3.

Revision 1.9  2003/03/10 11:44:57  qboosh
- working Source0 URL, cosmetics

Revision 1.8  2003/02/13 14:05:22  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.7  2002/11/15 08:44:13  kloczek
- simplifications.

Revision 1.6  2002/10/24 14:29:48  areq
- 1.3.2, STBR

Revision 1.5  2002/10/09 13:14:42  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.4  2002/10/07 09:30:03  qboosh
- added missing Requires()

Revision 1.3  2002/07/26 06:10:01  jajcus
- Version: 1.3.1
- init script and sysconfig file added
- doesn't seem to build on Ra (old automake/autoconf)

Revision 1.2  2002/05/21 23:14:19  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.1  2002/03/25 12:03:11  misiek
- initial pld release
